/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */
define([
	"jquery"
	, "backbone"
	, "bootstrap"
]
, function ($, Backbone, Bootstrap) {
	"use strict";

	return Backbone.View.extend({
		el:		$("div#wrapperFooter")

		, initialize:		function (AppView) {
			var that	= this
			;

			that.$el.delegate("button[data-toggle='side-bar']", "click", function (event) {
				AppView.layout.toggle("west");

				var $target		= $(event.target);
				if (event.target.tagName === "BUTTON") {
					$target		= $target.find("i");
				}

				$target.toggleClass("icon-chevron-right");
				$target.toggleClass("icon-chevron-left");
			});
		}
	});
});